Skip to main content
PUT
/
candidates
/
{id}
/
work-experiences
Replace work experiences
curl --request PUT \
  --url https://api.gospott.com/candidates/{id}/work-experiences \
  --header 'Content-Type: application/json' \
  --header 'x-api-key: <api-key>' \
  --data '
{
  "items": [
    {
      "companyId": "<string>",
      "title": "<string>",
      "description": "<string>",
      "startDate": "2023-11-07T05:31:56Z",
      "endDate": "2023-11-07T05:31:56Z",
      "location": {
        "street1": "<string>",
        "street2": "<string>",
        "postalCode": "<string>",
        "city": "<string>",
        "region": "<string>",
        "state": "<string>",
        "country": "<string>",
        "latitude": 123,
        "longitude": 123
      },
      "id": "<string>"
    }
  ]
}
'
{
  "status": 0,
  "message": "<string>",
  "requestId": "<string>",
  "errors": [
    {
      "path": "<string>",
      "message": "<string>",
      "received": "<unknown>"
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://api-docs.spott.io/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

x-api-key
string
header
required

API key for authentication. Get your API key from Settings → API Keys in your Spott dashboard.

Path Parameters

id
string
required

Body

application/json
items
object[]
required

Response

Work experiences replaced successfully